import { Relation } from '../../gen/domain';
import { PartnerType } from '../../ts/realtion-cofig';
import { RelationConfig } from '../core/data';
export declare const relationsConfig: RelationConfig[];
export declare enum RelationRole {
    HOLDING_OF = "isHoldingOf",
    EMPLOYEE_OF = "isEmployeeOf",
    SUPPLIER_OF = "isSupplierOf"
}
export declare const relationRoles: string[];
export declare class RelationConfigService {
    constructor();
    /**
     *
     * @param type1
     * @param type2
     * @returns all relation configs where type1 -> type2 or type2 -> type1
     */
    static getRelationConfigsUndirected(type1: PartnerType, type2: PartnerType): RelationConfig[];
    /**
     *
     * @param source
     * @param target
     * @returns all relation configs that exist from source type to target type
     */
    static getRelationConfigsDirected(source: PartnerType, target: PartnerType): RelationConfig[];
    /**
     *
     * @param role
     * @returns the unique RelationConfig for a role
     */
    static getRelationConfigForRole(role: string): RelationConfig;
    /**
     *
     * @param rel relation
     * @param partnerId the partner that appears either as source or as target in rel
     * @returns returns the relation designation
     */
    static getDisplayedRelation(rel: Relation, partnerId: string): string;
    /**
     *
     * @param type
     * @returns all configurations including type either as source or target
     */
    static getRelationConfigsIncludingType(type: PartnerType): RelationConfig[];
    /**
     *
     * @param type
     * @returns all configurations including type either source
     */
    static getRelationConfigsIncludingTypeAsSource(type: PartnerType): any;
    /**
     *
     * @param type
     * @returns all configurations including type either source
     */
    static getRelationConfigsIncludingTypeAsTarget(type: PartnerType): any;
}
