import { Address, BankAccount, Change, Changed, Created, CustomField, Customized, DateRange, Info, Label, Labeled, LocalDateRange, Organized, Person } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.Billing <br/>
*/
export interface Billing {
    bankAccount?: BankAccount;
    invoiceText?: string;
    notes?: string;
    paymentConditions?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.ContactLog <br/>
*/
export interface ContactLog extends Changed, Created, Organized {
    change?: Change;
    /**
    *	values: email, phone<br/>
    *	@example email
    */
    communicationChannel?: string;
    contactLogId?: string;
    created?: Change;
    /**
    *	@deprecated
    */
    dateRange?: LocalDateRange;
    dueDate?: string;
    duration?: DateRange;
    info?: Info;
    location?: Address;
    notes?: string;
    orgId?: string;
    participants?: Participant[];
    projectId?: string;
    /**
    *	values: new, pending, done, archived<br/>
    *	@example new
    */
    status?: string;
    taskId?: string;
    visibleForParticipants?: boolean;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.Participant <br/>
*/
export interface Participant {
    participantId?: string;
    role?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.Partner <br/>
*/
export interface Partner extends Customized, Labeled, Organized, Person {
    billing?: Billing;
    classification?: string;
    customFields?: CustomField[];
    displayName?: string;
    employer?: PartnerInfo;
    image?: number[];
    jobDesc?: string;
    labels?: Label[];
    masterContractAvailable?: string;
    nda?: string;
    notes?: string;
    orgId?: string;
    partnerId?: string;
    /**
    *	values: person, company<br/>
    *	@example person
    */
    partnerType?: string;
    /**
    *	values: email, phone<br/>
    *	@example email
    */
    preferredCommunicationChannel?: string;
    roles?: string[];
    salesEmployee?: PartnerInfo;
    socialMedia?: SocialMedia[];
    source?: string;
    /**
    *	values: active, inactive, blocked<br/>
    */
    status?: string;
    website?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.PartnerInfo <br/>
*/
export interface PartnerInfo {
    classification?: string;
    companyName?: string;
    email?: string;
    firstName?: string;
    lastName?: string;
    orgId?: string;
    partnerId?: string;
    partnerType?: string;
    shortName?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.Relation <br/>
*/
export interface Relation extends Changed, Created, Organized {
    change?: Change;
    /**
    *	@example Lead, Engineer
    */
    classifier?: string;
    created?: Change;
    duration?: LocalDateRange;
    notes?: string;
    orgId?: string;
    relationId?: string;
    /**
    *	@example customer, employee, employer
    */
    role?: string;
    sourcePartner?: PartnerInfo;
    targetPartner?: PartnerInfo;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.Reminder <br/>
*/
export interface Reminder extends Changed, Created, Organized {
    change?: Change;
    /**
    *	values: email, phone<br/>
    *	@example email
    */
    communicationChannel?: string;
    created?: Change;
    dueDate?: Date;
    notes?: string;
    orgId?: string;
    reminderId?: string;
    reminderPartnerId?: string;
    /**
    *	values: new, pending, done, archived<br/>
    *	@example new
    */
    status?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.domain.SocialMedia <br/>
*/
export interface SocialMedia {
    link?: string;
    type?: string;
}
