import { EntityFilter, Label, LocalDateRange } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.filter.ContactLogFilter <br/>
*/
export interface ContactLogFilter extends EntityFilter {
    authPrincipal?: string;
    authPrincipalAssociatedPartner?: string;
    communicationChannel?: string;
    contactLogId?: string;
    dateRange?: LocalDateRange;
    hasDueDate?: boolean;
    name?: string;
    participantId?: string;
    projectId?: string;
    shortName?: string;
    /**
    *	@deprecated
    */
    status?: string;
    statuses?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.filter.PartnerFilter <br/>
*/
export interface PartnerFilter extends EntityFilter {
    classification?: string;
    companyName?: string;
    email?: string;
    firstName?: string;
    labels?: Label[];
    lastName?: string;
    mobile?: string;
    partnerId?: string;
    partnerIds?: string[];
    partnerType?: string;
    phoneNumber?: string;
    /**
    *	@example Some phrase with spaces
    */
    phrase?: string;
    /**
    *	@example Some phrase with spaces
    */
    phrasePrefix?: string;
    preferredCommunicationChannel?: string;
    role?: string;
    roles?: string[];
    salesEmployeeId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.filter.RelationFilter <br/>
*/
export interface RelationFilter extends EntityFilter {
    relationId?: string;
    role?: string;
    sourcePartner?: PartnerFilter;
    targetOrSourceIds?: string[];
    targetPartner?: PartnerFilter;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.base.core.filter.ReminderFilter <br/>
*/
export interface ReminderFilter extends EntityFilter {
    communicationChannel?: string;
    dueDateRange?: LocalDateRange;
    notes?: string;
    reminderId?: string;
    reminderPartnerId?: string;
    status?: string;
}
