import { HttpClient } from '@angular/common/http';
import { QueryResult } from '@yukawa/chain-base-angular-domain';
import { ContactLog, Partner, PartnerInfo, Relation } from './domain';
import { ContactLogFilter } from './filter';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.partner.service.rest.ContactLogRest <br/>
*/
export declare class ContactLogRest {
    httpService: HttpClient;
    constructor(httpService: HttpClient);
    queryMyActivities(filter: ContactLogFilter): Observable<QueryResult<ContactLog>>;
    queryMyToDos(filter: ContactLogFilter): Observable<QueryResult<ContactLog>>;
    static ɵfac: i0.ɵɵFactoryDef<ContactLogRest, never>;
    static ɵprov: i0.ɵɵInjectableDef<ContactLogRest>;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.partner.service.rest.PartnerImportRest <br/>
*/
export declare class PartnerImportRest {
    httpService: HttpClient;
    constructor(httpService: HttpClient);
    importPartners(): Observable<Partner[]>;
    static ɵfac: i0.ɵɵFactoryDef<PartnerImportRest, never>;
    static ɵprov: i0.ɵɵInjectableDef<PartnerImportRest>;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.partner.service.rest.PartnerRest <br/>
*/
export declare class PartnerRest {
    httpService: HttpClient;
    constructor(httpService: HttpClient);
    mergeCollectionAppend(entity: Partner): Observable<Partner>;
    mergeCollectionRemove(entity: Partner): Observable<Partner>;
    /**
    *	partner template (will not be saved)
    */
    newPartner(): Observable<Partner>;
    putCollection(entity: Partner): Observable<Partner>;
    putMany(entities: Partner[]): Observable<Partner[]>;
    uploadImage(partnerId: string): Observable<Partner>;
    static ɵfac: i0.ɵɵFactoryDef<PartnerRest, never>;
    static ɵprov: i0.ɵɵInjectableDef<PartnerRest>;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.partner.service.rest.PartnerTemplateRest <br/>
*/
export declare class PartnerTemplateRest {
    httpService: HttpClient;
    constructor(httpService: HttpClient);
    delete(): Observable<void>;
    load(): Observable<Partner>;
    put(entity: Partner): Observable<Partner>;
    static ɵfac: i0.ɵɵFactoryDef<PartnerTemplateRest, never>;
    static ɵprov: i0.ɵɵInjectableDef<PartnerTemplateRest>;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.partner.service.rest.RelationRest <br/>
*/
export declare class RelationRest {
    httpService: HttpClient;
    constructor(httpService: HttpClient);
    putMany(entities: Relation[]): Observable<Relation[]>;
    traverseRelations(partnerId: string, role: string, traversalDir: string): Observable<PartnerInfo[]>;
    static ɵfac: i0.ɵɵFactoryDef<RelationRest, never>;
    static ɵprov: i0.ɵɵInjectableDef<RelationRest>;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.crm.partner.service.rest.ReminderRest <br/>
*/
export declare class ReminderRest {
    httpService: HttpClient;
    constructor(httpService: HttpClient);
    static ɵfac: i0.ɵɵFactoryDef<ReminderRest, never>;
    static ɵprov: i0.ɵɵInjectableDef<ReminderRest>;
}
